| Home | Libraries | People | FAQ | More

#### ip::address::operator<<

Output an address as a string.

    template<
        typename Elem,
        typename Traits>
    std::basic_ostream< Elem, Traits > & operator<<(
        std::basic_ostream< Elem, Traits > & os,
        const address & addr);

Used to output a human-readable string for a specified address.

###### Parameters

os

  The output stream to which the string will be written.

addr

  The address to be written.

###### Return Value

The output stream.